# TourJS 更新日志

## [v0.0.2] - 2024-01-18

### 改进
- 🔧 优化包名为作用域包 `@adiynil/tourjs`
- ⚡️ 改进发布脚本的错误处理机制
- 🛠️ 优化构建流程，使用跨平台的清理命令
- 📝 完善项目文档和配置

### 修复
- 🐛 修复 Windows 环境下的构建问题
- 🚀 修复发布脚本在不同系统下的兼容性问题

# TourJS v0.0.1 发布日志

这是 TourJS 的首个测试版本，实现了基础的页面引导功能。

## 核心功能

### 基础功能
- ✨ 实现多步骤引导功能
- ✨ 支持自定义引导内容和样式
- ✨ 提供完整的步骤控制 API（next、previous、skip 等）
- ✨ 支持全局配置和实例配置

### 交互体验
- 🎨 实现平滑的过渡动画效果
- 🎨 支持自定义动画时长和缓动函数
- 🎯 智能计算 tooltip 位置，确保最佳显示效果
- 🎯 支持自定义 tooltip 位置和偏移量

### 视觉效果
- 💫 实现目标元素高亮效果
- 💫 支持自定义 z-index 层级（auto/具体数值）
- 💫 优化 tooltip 显示动画，提供更流畅的过渡效果

### 性能优化
- ⚡️ 优化 z-index 计算逻辑，提供 auto 和固定值两种模式
- ⚡️ 使用 requestAnimationFrame 优化动画性能
- ⚡️ 智能清理机制，避免内存泄漏

### 配置项
- ⚙️ 支持自动跳过无效步骤（autoSkipInvalid）
- ⚙️ 支持自动开始执行（autoStart）
- ⚙️ 灵活的滚动配置（offset、duration）
- ⚙️ 可自定义 tooltip 样式（minWidth、maxWidth）
- ⚙️ 支持自定义定位（placement）和偏移（offset）

## 技术细节

### TypeScript 支持
- 📝 完整的类型定义
- 📝 详细的接口文档
- 📝 类型安全的 API 设计

### 代码质量
- 📚 完整的代码注释
- 📚 清晰的函数文档
- 📚 规范的代码风格

## 注意事项
- 这是首个测试版本，API 可能在后续版本中有所调整
- z-index auto 模式在大型页面上可能会有轻微性能影响 